Tool
organization_principal-grants_revoke
Takes tools away from a delegated principal; omit tools to take away everything it holds (product owner/admin)
Takes tools away from a delegated principal; omit tools to take away everything it holds (product owner/admin)
Behavior
- HTTP
POST /governance/api/v1/products/:productId/principal-grants/revoke
Arguments
Name | Type | Required | Description |
|---|---|---|---|
tools | array | — | No description in the catalog. |
reason | string | — | No description in the catalog. |
productId | string | • | No description in the catalog. |
principalId | string | • | No description in the catalog. |
principalKind | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
grants | array | • | |
pending | array | • | |
effective | array | • | |
productId | string | • | |
principalId | string | • | |
needsSponsor | array | • | |
principalKind | string | • |
Try it
Takes tools away from a delegated principal; omit tools to take away everything it holds (product owner/admin).